#!/bin/bash
#
# script de backup des donnees PIRATA-FR24 sur disque LaCie
# si gow est installe sur le pc et que le path de cygwin se trouve
# apres celui de gow, il faut mettre le chemin complet des commandes
# unix, a ameliorer par la suite
#
# cruise:
export CRUISENAME=PIRATA-FR24
# disque de sauvegarde
export DRIVE=/g
#export DRIVE=/media/LaCie
export SOURCE=/m/$CRUISENAME
# pour disque LaCie
export DEST=$DRIVE/campagnes/$CRUISENAME
# pour disque Iomega
#export DEST=$DRIVE/BACKUP-PIRATA-FR24
echo "Backup sous : $DEST"

# votre adresse Email
export MAIL=jgrelet@suroit
export LOG=$DEST/backup.log

# si le repertoire DEST n'existe pas, le cree
if [ ! -d $DEST ]; then
    /usr/bin/mkdir -p $DEST
fi

#echo "Synchronisation de data-raw"
synchro.sh >> /dev/null

# fichier de log
echo " " >> $LOG
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>" >> $LOG
echo " " >> $LOG
echo "Date de sauvegarde : `/usr/bin/date +%d%m%Y_%H:%M:%S`" >> $LOG
echo " " >> $LOG
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>" >> $LOG

echo "Debut de sauvegarde : `/usr/bin/date +%d/%m/%Y_%H:%M:%S`"

# on se deplace sur le disque de sauvegarde
cd $DEST


# sauvegarde des donnees reseau de la campagne
/usr/bin/rsync -rutv --delete $SOURCE/* . >> $LOG
#/usr/bin/rsync -rutv $SOURCE/* . >> $LOG

## sauvegarde des repertoires locaux SEASOFT et LADCP du PC d'acquisition 
#if [ ! -d "$DEST/BACKUP-PC-ACQUISITION/$CRUISE/LADCP" ]; then
#    /usr/bin/mkdir -p "/$DRIVE/BACKUP-PC-ACQUISITION/LADCP/$CRUISE"
#fi
if [ ! -d "$DRIVE/BACKUP-PC-ACQUISITION/SEASOFT/$CRUISE" ]; then
    /usr/bin/mkdir -p "$DRIVE/BACKUP-PC-ACQUISITION/SEASOFT/$CRUISE"
fi
/usr/bin/cp -rupv /c/LADCP/$CRUISE $DRIVE/BACKUP-PC-ACQUISITION/LADCP >> $LOG
/usr/bin/cp -rupv /c/SEASOFT/$CRUISE $DRIVE/BACKUP-PC-ACQUISITION/SEASOFT >> $LOG

echo "Fin de sauvegarde : `/usr/bin/date +%d/%m/%Y_%H:%M:%S`"
echo " " >> $LOG
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>" >> $LOG
echo "Fin de sauvegarde : `/usr/bin/date +%d/%m/%Y_%H:%M:%S`" >> $LOG
echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>" >> $LOG


