#!/bin/bash
#
# script de synchronisation des donnees acquises par TECHSAS sur data-raw

# disque source
export SRC=/Z
# repertoire source
#export SOURCE=$SRC/MissionCourante
export SOURCE=$SRC
# disque de destination
export DRIVE=/m
# repertoire de destination
export DEST=$DRIVE/PIRATA-FR24

# copie SADCP vers data-raw et data-processing
/usr/bin/cp -rupv $SOURCE/EQUIPEMENTS/BB150/DONNEES/leg2/* $DEST/data-raw/SADCP/BB150
/usr/bin/cp -rupv $SOURCE/EQUIPEMENTS/BB150/DONNEES/leg2/*.[L-S]TA $DEST/data-processing/SADCP/CASCADE/leg2/data
#/usr/bin/cp -rupv $SOURCE/EQUIPEMENTS/OS150/DONNEES/* $DEST/data-raw/SADCP/OS150
#/usr/bin/cp -rupv $SOURCE/EQUIPEMENTS/OS150/DONNEES/*.[L-S]TA $DEST/data-processing/SADCP/CASCADE/OS150/data

# copie CELERITE (XBT) vers data-raw et data-processing
/usr/bin/cp -rupv $SOURCE/CELERITE/* $DEST/data-raw/CELERITE
/usr/bin/cp -rupv $SOURCE/CELERITE/*.EDF $DEST/data-processing/CELERITE/data

# copie TECHSAS Netcdf TSG, BATOS et NAV vers data-raw et data-processing
/usr/bin/cp -rupv $SOURCE/ARCHIV_NETCDF/DONNEES/THS/*.ths $DEST/data-raw/TECHSAS/ARCHIV_NETCDF/THS
/usr/bin/cp -rupv $SOURCE/ARCHIV_NETCDF/DONNEES/NAV/*shipnav*.nav $DEST/data-raw/TECHSAS/ARCHIV_NETCDF/NAV
/usr/bin/cp -rupv $SOURCE/ARCHIV_NETCDF/DONNEES/MET/*BATOS*.met $DEST/data-raw/TECHSAS/ARCHIV_NETCDF/MET

# copie TECHSAS NMEA BATOS,COLCOR,SBE21,SBE38 vers data-raw et data-processing (COLCOR)
/usr/bin/cp -rupv $SOURCE/ARCHIV_NMEA/DONNEES/meteo/* $DEST/data-raw/TECHSAS/ARCHIV_NMEA/BATOS
/usr/bin/cp -rupv $SOURCE/ARCHIV_NMEA/DONNEES/COLCOR/*.COLCOR $DEST/data-raw/TECHSAS/ARCHIV_NMEA/COLCOR
#/usr/bin/cp -rupv $SOURCE/ARCHIV_NMEA/DONNEES/COLCOR/*COLCOR*.gz $DEST/data-raw/THERMO
/usr/bin/cp -rupv $SOURCE/ARCHIV_NMEA/DONNEES/COLCOR/*.COLCOR $DEST/data-processing/THERMO/data
/usr/bin/cp -rupv $SOURCE/ARCHIV_NMEA/DONNEES/thsal/*.sal $DEST/data-raw/TECHSAS/ARCHIV_NMEA/SBE21
# copie la nav
/usr/bin/cp -rupv $SOURCE/ARCHIV_NMEA/DONNEES/tsdiv/*.div $DEST/data-raw/TECHSAS/ARCHIV_NMEA/NAV
/usr/bin/cp -rupv $SOURCE/ARCHIV_NMEA/DONNEES/phins1/*.mat $DEST/data-raw/TECHSAS/ARCHIV_NMEA/PHINS
/usr/bin/cp -rupv $SOURCE/ARCHIV_NMEA/DONNEES/phins2/*.mat $DEST/data-raw/TECHSAS/ARCHIV_NMEA/PHINS
# copie rejeu (nav filtree au format binaire Caraibe )
/usr/bin/cp -rupv $SOURCE/REJEU $DEST/data-raw
# copie nav CINNA )
/usr/bin/cp -rupv $SOURCE/CINNA_NMEA $DEST/data-raw

# copie CASINO NAV vers data-raw et data-processing
/usr/bin/cp -rupv $SOURCE/CASINO/CSV/*.csv $DEST/data-raw/CASINO
/usr/bin/cp -rupv $SOURCE/CASINO/CSV/*.csv $DEST/data-processing/CASINO/data

# lance le script de traitement des images sat et Mercator
#products

